<?php
class ModelModulePhotoCloud extends Model {
/* ###### Tag Cloud - inserted by Dav ###### */
	public function getRandomTags($limit = 'cloud_limit') {

		$names		= array();
		$totals		= array();
		$tags		= array();
		$photocloud	= false;
		$tagNameQuery = $this->db->query("SELECT DISTINCT product_id, tag FROM " . DB_PREFIX . "product_tags WHERE language_id=" . $this->config->get('config_language_id') . " LIMIT " . $limit);

		if (count($tagNameQuery->rows) > 0)
		{
			$i=0;
			foreach ($tagNameQuery->rows as $row)
			{
				$tagCountQuery = $this->db->query("SELECT * FROM " . DB_PREFIX . "product_tags WHERE tag = '" . $row['tag'] . "' AND language_id=" . $this->config->get('config_language_id'));
				$tags[$i][0]	= $row['tag'];
				$tags[$i][1]	= $row['product_id'];
				$tags[$i][2]	= $tagCountQuery->num_rows;
				$i++;
			}

			$photocloud = $this->generatephotocloud($tags);
		}

		return $photocloud;
	}
	/* ###### END Tag Cloud - inserted by Dav ###### */

	/* ###### Products Tags - inserted by Dav ###### */

	private function generatephotocloud($tags) {

			arsort($tags);

			$cloud = array();

		
			foreach ($tags as $key) {

				$this->load->model('catalog/product');

				$product_info = $this->model_catalog_product->getProduct($key[1]);
	
				if (isset($product_info['image']))
				{
					if ($product_info['image']){
						$image = $product_info['image'];
					} else {
						$image = 'no_image.jpg';
					}			
	
					$this->load->model('tool/image');
	
					$thumb = $this->model_tool_image->resize($image, $this->config->get('config_image_thumb_width'), $this->config->get('config_image_thumb_height'));
	
					$cloud[] = "<image href='" . (HTTP_SERVER . "index.php?route=product/search%26amp;keyword=" . urlencode($key[0]))  . "'>" . $thumb . "</image>";
				}
			}


		$photocloud = '';

		shuffle($cloud);

		for ($x = 0; $x < count($cloud); $x++) {
			$photocloud .= $cloud[$x];
		}

		return $photocloud;
	}
	/* ###### END Products Tags - inserted by Dav ###### */
}

?>