<?php
#############################################################################
#  Based on Module Tag Cloud for Opencart 1.4.x From Team SiamOpencart.com		  													           #
#############################################################################

class ControllerModulePhotoCloud extends Controller {
	protected function index() {
		$this->language->load('module/photocloud');

      	$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_notags'] = $this->language->get('text_notags');

		$this->data['text_href_title'] = $this->language->get('text_href_title');

		$this->load->model('module/photocloud');

		$this->load->model('tool/seo_url');

		$this->data['photocloud'] = $this->model_module_photocloud->getRandomTags(
			$this->config->get('photocloud_limit')
		);


		$this->id       = 'photocloud';
		
		if ($this->config->get('photocloud_position') == 'home') {			
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/photocloud_home.tpl')) {
				$this->template = $this->config->get('config_template') . '/template/module/photocloud_home.tpl';
			} else {
				$this->template = 'default/template/module/photocloud_home.tpl';
			}
		} else {
			if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/photocloud.tpl')) {
				$this->template = $this->config->get('config_template') . '/template/module/photocloud.tpl';
			} else {
				$this->template = 'default/template/module/photocloud.tpl';
			}
		}


		$this->render();
	}
}

?>